List cardholders

List cardholders belonging to the caller’s business.

Required permissions: cardholder:list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

business_entity_idstring or nullOptional
Filter by business entity ID. Only needed if your business has multiple business entities.
program_idstring or nullOptional
Filter by program ID. Only needed if your business has multiple programs.
cardholder_typeenum or nullOptional
Filter by cardholder type.
Allowed values:
activeboolean or nullOptional
Filter by active state.
statusenum or nullOptional
Filter by cardholder status.
Allowed values:
page_sizeintegerOptional1-3000Defaults to 100
Maximum number of results to return per page. Defaults to 100.
next_page_tokenstring or nullOptional
Pagination key used to retrieve the next page of results.

Response

The matching cardholders.
itemslist of objects
The list of items returned by the API.
countinteger
The total number of items returned in this response.
next_page_tokenstring or nullOptional
A token for retrieving the next page of results, if applicable.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error